1. Assets
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
        GET
      • List asset types
        GET
      • Asset structure
        GET
      • Assets dynamic fields
        GET
      • List assets
        GET
      • Assets
        GET
      • Assets
        POST
      • Assets
        PATCH
      • Assets
        DELETE
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Assets

Assets

POST
/properties/{propertyID}/assets

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties/1240/assets' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  
    "fields": {
        "standard": [
            {
                "key": "d846eef7-3ece-4f2e-a5ca-7198da74a008",
                "fieldType": "proident eu veniam quis",
                "value": "eu quis Excepteur dolore"
            },
            {
                "key": "b975c0d7-7b4a-4f61-bad1-19cc6f6d4de1",
                "fieldType": "culpa id cillum enim",
                "value": "ea"
            }
        ]
    },
    "subAssetID": [
        4575932388344349
    ]
}'
Response Response Example
201 - Example 1
{
    "asset": {
        "typeId": 2,
        "data": {
            "standard": [
                {
                    "key": "8846cfe0-1d345750",
                    "fieldType": "string",
                    "value": "A26970000011T"
                },
                {
                    "key": "873bbce5-7fd923f4",
                    "fieldType": "integer",
                    "value": 201
                },
                {
                    "key": "fa699df8-e652f929",
                    "fieldType": "date",
                    "value": "2026-08-05"
                }
            ],
            "customerId": 1104,
            "uuid": "8bbca3b3-eba75416"
        }
    }
}
Modified at 2026-09-18 12:37:15
Previous
Assets
Next
Assets
Built with